MP4(3)

NAME

MP4GetTimeScale - Get the time scale of the movie (file)

SYNTAX

#include <mp4.h>

u_int32_t MP4GetTimeScale(
    MP4FileHandle hFile
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

RETURN VALUES

The time scale (ticks per second) of the mp4 file.

DESCRIPTION

MP4GetTimeScale returns the time scale in units of ticks per second for the mp4 file. Caveat: tracks may use the same time scale as the movie or may use their own time scale.

SEE ALSO

MP4(3) MP4SetTimeScale(3) MP4GetTrackTimeScale(3)